//
// QPerforce is a gui interface to the perforce revision control
// system. It is based on the qt library, and should be easily portable
// across any platform that has this toolkit available.
// 
// Copyright (C) 2002 Jacob Gladish
//
#ifndef __EDIT_MENU_H__
#define __EDIT_MENU_H__

#include <qpopupmenu.h>

class EditMenu : public QPopupMenu
{

  Q_OBJECT

public:	

  EditMenu( QWidget* parent = 0, const char* name = 0 );            
  virtual ~EditMenu();

public slots:			

  void slotCopy();  
  void slotFindItemInClipboard();
  void slotFindString();
  void slotFindPrevious();
  void slotFindFileMatchingPattern();
  void slotFindNext();
  void slotSelectAll();
  void slotFindSelectedFileInChangelist();
  void slotFindSelectedFileInDepot();
  void slotFindFileUnderSelectedFolder();

};

#endif 

