
//
// Jacob Gladish (c) 2002
//

#ifndef __HELP_MENU_H__
#define __HELP_MENU_H__

#include <qpopupmenu.h>

class HelpMenu : public QPopupMenu
{

  Q_OBJECT

public:

	HelpMenu( QWidget* parent = 0, const char* name = 0 );
	virtual ~HelpMenu();

public slots:	

  void slotEmailSupport();
	void slotPerforceWebsite();

  //----------------------------------------

	void slotHelpTopics();
	void slotShowConnectionInfo();

  //----------------------------------------

  void slotAbout();

private:

  static const QString OS_DESCRIPTION;

};

#endif 
