

#ifndef __P4_CLIENT_H__
#define __P4_CLIENT_H__

#include "clientapi.h"
#include <qthread.h>

// extern ClientApi gP4Client;
extern Error     gError;

extern void InitialzeClient( const char* p4Port = "public.perforce.com:1666" ); 

/**
 * public interface to the p4 server.
 * Callbacks are made to the ui passed in.
 */
extern void RunP4Command( int argc,
                          char* argv[],
                          const char* func, 
                          ClientUser* ui );

#endif
