//
// QPerforce is a gui interface to the perforce revision control
// system. It is based on the qt library, and should be easily portable
// across any platform that has this toolkit available.
// 
// Copyright (C) 2002 Jacob Gladish
//
#ifndef __SETTINGS_MENU_H__
#define __SETTINGS_MENU_H__

#include <qpopupmenu.h>

class ConfigOptionsDialogImpl;

class SettingsMenu : public QPopupMenu
{
  Q_OBJECT

public:	

	SettingsMenu( QWidget* parent = 0, const char* name = 0 );
	virtual ~SettingsMenu();

public slots:

	void slotOptions();
  void slotSwitchPortClientUser();
	void slotUseCurrentAsDefault();

private:
  
  static ConfigOptionsDialogImpl* _configDialog;

};

#endif 
