

#include "EditMenu.h"
#include "todo.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

EditMenu::EditMenu( QWidget* parent, const char* name ) :
  QPopupMenu( parent, name )
{
  insertItem( "Copy", this, SLOT(slotCopy()), CTRL+Key_C );

  insertSeparator();

  insertItem( "Find Item In Clipboard", this, SLOT(slotFindItemInClipboard()),
    CTRL+Key_V );
  insertItem( "Find String", this, SLOT(slotFindString()), CTRL+Key_F );
  insertItem( "Find File Matching Pattern...", this, 
    SLOT(slotFindFileMatchingPattern()), CTRL+Key_F );
  insertItem( "Find Next", this, SLOT(slotFindNext()), Key_F3 );
  insertItem( "Find Previous", this, SLOT(slotFindPrevious()), SHIFT+Key_F3 );
  insertItem( "Find File Under Selected Folder", this, 
    SLOT(slotFindFileUnderSelectedFolder()), CTRL+SHIFT+Key_F3 );
  insertItem( "Find Selected File In Depot", this,
    SLOT(slotFindSelectedFileInDepot()) );
  insertItem( "Find Selected File In Changelist", this,
    SLOT(slotFindSelectedFileInChangelist()) );

  insertSeparator();

  insertItem( "Select All", this, SLOT(slotSelectAll()), CTRL+Key_A );
}

EditMenu::~EditMenu()
{

}

void EditMenu::slotCopy()
{
  TODO();
}

void EditMenu::slotFindItemInClipboard()
{
  TODO();
}

void EditMenu::slotFindFileMatchingPattern()
{
  TODO();
}

void EditMenu::slotFindNext()
{
  TODO();
}

void EditMenu::slotFindPrevious()
{
  TODO();
}

void EditMenu::slotFindFileUnderSelectedFolder()
{
  TODO();
}

void EditMenu::slotFindSelectedFileInDepot()
{
  TODO();
}

void EditMenu::slotFindSelectedFileInChangelist()
{
  TODO();
}

void EditMenu::slotSelectAll()
{
  TODO();
}

void EditMenu::slotFindString()
{
  TODO();
}
